%bcond_with libnm_glib
%bcond_without gtk4

Summary:   NetworkManager VPN plugin for vpnc
Name:      NetworkManager-vpnc
Version:   1.2.8
Release:    1%{?dist}
License:   GPLv2+
URL:       http://www.gnome.org/projects/NetworkManager/
Source0:   https://download.gnome.org/sources/NetworkManager-vpnc/1.2/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: gcc
BuildRequires: gtk3-devel
BuildRequires: intltool gettext
BuildRequires: libnma-devel >= 1.2.0
BuildRequires: libsecret-devel
%if %with libnm_glib
BuildRequires: NetworkManager-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: libnm-gtk-devel >= 1.2.0
%endif
%if %with gtk4
BuildRequires: gtk4-devel
BuildRequires: libnma-gtk4-devel
%endif

Requires: dbus-common
Requires: NetworkManager
Requires: vpnc

%global __provides_exclude ^libnm-.*\\.so

%description
This package contains software for integrating VPN capabilities with
the vpnc server with NetworkManager.

%package -n NetworkManager-vpnc-gnome
Summary: NetworkManager VPN plugin for vpnc - GNOME files

Requires: %{name} = %{version}-%{release}
Requires: gtk3
Requires: shared-mime-info
Requires: gnome-keyring

%description -n NetworkManager-vpnc-gnome
This package contains software for integrating VPN capabilities with
the vpnc server with NetworkManager (GNOME files).

%prep
%setup -q


%build
%configure \
        --disable-static \
%if %with gtk4
        --with-gtk4 \
%endif
%if %with libnm_glib
        --with-libnm-glib \
%endif
        --enable-more-warnings=yes \
        --with-dist-version=%{version}-%{release}
make %{?_smp_mflags}

%check
make check

%install
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la

%find_lang %{name}

%if 0%{?rhel} && 0%{?rhel} <= 7
%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
%endif

%files -f %{name}.lang
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc.so
%{_datadir}/dbus-1/system.d/nm-vpnc-service.conf
%{_prefix}/lib/NetworkManager/VPN/nm-vpnc-service.name
%{_libexecdir}/nm-vpnc-service
%{_libexecdir}/nm-vpnc-service-vpnc-helper
%doc AUTHORS ChangeLog NEWS
%license COPYING

%files -n NetworkManager-vpnc-gnome
%{_libexecdir}/nm-vpnc-auth-dialog
%{_libdir}/NetworkManager/libnm-vpn-plugin-vpnc-editor.so
%{_metainfodir}/network-manager-vpnc.metainfo.xml

%if %with gtk4
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-vpnc-editor.so
%endif

%if %with libnm_glib
%{_libdir}/NetworkManager/libnm-*-properties.so
%{_sysconfdir}/NetworkManager/VPN/nm-vpnc-service.name
%endif

%changelog
* Fri Sep 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.8-1
- initial build
